2011/9/5 Chris McDonough <chr...@plope.com>:
> On Mon, 2011-09-05 at 09:53 +0200, Hanno Schlichting wrote:
>> On Mon, Sep 5, 2011 at 1:09 AM, Chris McDonough <chr...@plope.com> wrote:
>> > I've given Python 3 support to zope.deprecation at
>> > http://svn.zope.org/zope.deprecation/branches/chrism-unittesting/
>> >
>> > - Which Python versions is this thing meant to support?  I have it
>> >  functioning under 2.5, 2.6, 2.7 (and 3.2).  Do we need it
>> >  to support 2.4?
>>
>> We no longer need Python 2.4 compatibility for new stuff (only for
>> bugfixes to ZTK 1.0).
>>
>> > - I presume the version number after merge should be bumped to
>> >  3.5 (it was branched from 3.42dev)?
>>
>> Yes, we treat Python 3 compatibility as a new feature. So this will
>> only go into ZTK trunk.
>
> Great.  I've merged my branch into the trunk as per the above.
> Apparently I don't have owner access on the thing on PyPI so I can't
> make a release.  Currently owners of the zope.deprecation package are:
> J1m, fdrake, menesis.  It'd be nice to either get owner/maintainer
> access or for someone to create a 3.5 release.

I have added chrism to owners.
Leaving to you to make the release.
Glanced at the changes, looks good to me.

-- 
Gediminas
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to